Error : The type Class is not generic; it cannot be parameterized with arguments <T>

0 votes
asked May 8, 2009 by iosdev

I am using Blackberry plug in for eclipse. Default jre setting is 1.6 I am getting following error which doesnt allow me to compile my .java file :

The type Class is not generic; it cannot be parameterized with arguments

Please help.

1 Answer

0 votes
answered May 8, 2009 by philipp

Classes for J2ME projects must be compiled to be version 1.3 compliant. => no generics, enums, extended-for .....

But it should fix your problem :)

Welcome to Q&A, where you can ask questions and receive answers from other members of the community.
Website Online Counter

...